import { createAsyncThunk } from "@reduxjs/toolkit";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import axios from "axios";

export const dashboardGetSlaughterInformationService = createAsyncThunk(
  "DASHBOARD_GET_SLAUGHTER_INFORMATION_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      "kill-house-performance-dashboard",
      {
        params: {
          date1: d.date1,
          date2: d.date2,
          ...d,
        },
      }
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
